require_relative 'player'

module StudioGame

  class ClumsyPlayer < Player
    attr_reader :boost_factor

    def initialize(name, health, boost_factor=1)
      super(name, health)
      @boost_factor = boost_factor
    end

    def w00t
      @boost_factor.times { super }
    end

    def found_treasure(treasure)
      super(Treasure.new(treasure.name, treasure.point / 2))
    end
  end
  
end


if __FILE__ == $0


  # clumsy = ClumsyPlayer.new("johan", 100)
  # hammer = Treasure.new(:hammer, 50)
  # clumsy.found_treasure(hammer)
  # clumsy.found_treasure(hammer)
  # clumsy.found_treasure(hammer)

  # crowbar = Treasure.new(:crowbar, 200)
  # clumsy.found_treasure(crowbar)
  # clumsy.found_treasure(crowbar)

  # clumsy.each_found_treasure do |treasure|
  #   puts "#{treasure.point} total #{treasure.name} points"
  # end

  # puts "Total grand points #{clumsy.points}"

end