
module StudioGame
  
  Treasure = Struct.new(:name, :point)
  module TreasureTrove 

    TREASURES = [
      Treasure.new(:Excalibur, 1000),
      Treasure.new(:Ragnarok, 900),
      Treasure.new(:Omniblade, 5000),
      Treasure.new(:Zeldricht, 500),
      Treasure.new(:Xenoblade, 10000),
      Treasure.new(:Falkhir, 800)
    ]

    def self.random
      TREASURES.sample
    end

  end
end
