require_relative 'player'

module StudioGame

  class BerserkPlayer < Player

    def initialize(name, health)
      super(name, health)
      @w00t_count = 0
    end

    def berserk?
      @w00t_count > 5 ? true : false
    end

    def w00t
      super
      @w00t_count += 1
      puts "Berserker is berserk" if berserk?
    end

    def blam
      berserk? ? w00t : super
    end

  end

end


if __FILE__ == $0
  berserk = StudioGame::BerserkPlayer.new("berserker", 100)
  6.times do
    berserk.w00t
  end

  2.times do
    berserk.blam
  end

  puts berserk.health

end

