require_relative 'die'
require_relative 'player'
require_relative 'treasure_trove'
require_relative 'loaded_die'

module StudioGame

  module GameTurn

    def self.take_turn(player)
      treasure = TreasureTrove.random
      player.found_treasure(treasure)

      die = Die.new
      number_rolled = die.roll
      case number_rolled
      when 1..2
        player.blam
        puts player
      when 3..4
        puts "#{player} was skipped"
      else
        player.w00t
        puts player
      end
    end

    
  end

end